Ubuntu

mutt-patched sidebar and mail unread count

Reported by Aneesh Kumar K.V on 2008-07-25
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
mutt (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: mutt

I have in my .muttrc
#set mark_old=no
That means mail are marked as old when i leave from the mailbox. Once i leave the mailbox. The unread mail count shown in the sidebar become zero. Once i reopen the mail box it correctly update the unread mail count. I had a quick look at the source and i seems we are wrongly updating BUFFY->msg_unread somewhere.

Aneesh Kumar K.V (aneesh-kumar) wrote :

This patch works for me

Aneesh Kumar K.V (aneesh-kumar) wrote :

attached wrong patch. Attaching the correct one below

Soren Hansen (soren) wrote :

Thank you for the patch! However, Debian already fixed this in a different way, so to make maintenance and syncing easier, I've grabbed their patch instead.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mutt - 1.5.18-4ubuntu1

---------------
mutt (1.5.18-4ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - Build-depend on elinks (elinks doesn't provide links anymore).
  * Fixes unread mail count with local Maildir folders in the sidebar. (LP:
    #251785)

mutt (1.5.18-4) unstable; urgency=low

  * In order to evade a conflict with the sidebar patch, move the set_xterm_*
    prototypes from pager.c to mutt_menu.h. No functional change.
  * Introduce two new patches that revert the conflicting part of the
    maildir-mtime patch before applying the sidebar patch, and afterwards
    re-apply the relevant bits. This mitigates the chance of bugs being
    introduced when manually resolving conflicts with new versions of the
    sidebar patch. This fixes new mail detection in the mutt-patched package.
    (Closes: #484537, #484538)

mutt (1.5.18-3) unstable; urgency=low

  * Pull patch from upstream to fix multipart decoding. (Closes: #489283)
  * Add example sidebar config, thanks Stefano Zacchiroli. (Closes: #460452)
  * (Finally) compile with native Kerberos GSSAPI support. (Closes: #469483)
  * Add a switch in debian/rules to make building mutt-patched configurable.

 -- Soren Hansen <email address hidden> Thu, 07 Aug 2008 10:29:06 +0200

Changed in mutt:
status: New → Fix Released

I tried the new package and the bug is still there.

On Thu, Aug 7, 2008 at 2:45 PM, Launchpad Bug Tracker
<email address hidden> wrote:
> This bug was fixed in the package mutt - 1.5.18-4ubuntu1
>
> ---------------
> mutt (1.5.18-4ubuntu1) intrepid; urgency=low
>
> * Merge from debian unstable, remaining changes:
> - Build-depend on elinks (elinks doesn't provide links anymore).
> * Fixes unread mail count with local Maildir folders in the sidebar. (LP:
> #251785)
>
> mutt (1.5.18-4) unstable; urgency=low
>
> * In order to evade a conflict with the sidebar patch, move the set_xterm_*
> prototypes from pager.c to mutt_menu.h. No functional change.
> * Introduce two new patches that revert the conflicting part of the
> maildir-mtime patch before applying the sidebar patch, and afterwards
> re-apply the relevant bits. This mitigates the chance of bugs being
> introduced when manually resolving conflicts with new versions of the
> sidebar patch. This fixes new mail detection in the mutt-patched package.
> (Closes: #484537, #484538)
>
> mutt (1.5.18-3) unstable; urgency=low
>
> * Pull patch from upstream to fix multipart decoding. (Closes: #489283)
> * Add example sidebar config, thanks Stefano Zacchiroli. (Closes: #460452)
> * (Finally) compile with native Kerberos GSSAPI support. (Closes: #469483)
> * Add a switch in debian/rules to make building mutt-patched configurable.
>
> -- Soren Hansen <email address hidden> Thu, 07 Aug 2008 10:29:06 +0200
>
> ** Changed in: mutt (Ubuntu)
> Status: New => Fix Released
>
> --
> mutt-patched sidebar and mail unread count
> https://bugs.launchpad.net/bugs/251785
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Aneesh Kumar K.V (aneesh-kumar) wrote :

I checked again on intrepid. The bug is still there. The change now is it shows the flaged messages properly.
The mail count of mail marked as old is only shown when we enter the folder. The folder is in Maildir format.

Changed in mutt:
status: Fix Released → New
Aneesh Kumar K.V (aneesh-kumar) wrote :

new patch

Aneesh Kumar K.V (aneesh-kumar) wrote :

Checked with jaunty the bug is still present. To verify the problem one need to have the Maildir format

-aneesh

Antonio Radici (antonio-dyne) wrote :

this has been fixed in Debian mutt 1.5.21-5

Bryce Harrington (bryce) wrote :

Closing as per last comment. We have this version in oneiric now.

$ apt-cache madison mutt
      mutt | 1.5.21-5 | http://archive.ubuntu.com/ubuntu/ oneiric/main i386 Packages

Changed in mutt (Ubuntu):
status: New → Fix Released
Bryce Harrington (bryce) wrote :

If anyone can narrow down what the commit was in the upstream code that results in the fix, it would probably be acceptable for SRUing. Opening tasks for Lucid and Natty for this case if anyone wants to chase it down.

no longer affects: mutt (Ubuntu Lucid)
no longer affects: mutt (Ubuntu Natty)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments